--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: uri
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: xrds
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: xrds_uri
  rw: RW
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: ca_path=
- !ruby/object:RI::MethodSummary 
  name: discover
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: High level class for performing the Yadis protocol on a given URL. The YADIS.discover class method is a good place to get started in determining which services a URL supports.
constants: []

full_name: YADIS
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: filter_services
- !ruby/object:RI::MethodSummary 
  name: services
name: YADIS
superclass: Object
